/*
 * Copyright 1995 by the Massachusetts Institute of Technology.
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice appear in all
 * copies and that both that copyright notice and this permission
 * notice appear in supporting documentation, and that the name of
 * M.I.T. not be used in advertising or publicity pertaining to
 * distribution of the software without specific, written prior
 * permission.  M.I.T. makes no representations about the suitability
 * of this software for any purpose.  It is provided "as is" without
 * express or implied warranty.
 */
/* %%%EOOH%%% */

#include "Connect.h"
#include <netinet/in.h>

#ifdef SERVER
#define INETTABLESIZE 1000
#else
#define INETTABLESIZE 10
#endif

typedef struct _udpaddr
{
  Addr address;
  struct sockaddr_in netaddr;
  int socket;
  char *hostname;
  struct _udpaddr *nextaddr;
  struct _udpaddr *nextinet;
} udpaddr;

extern ConnectDomain inetudp;
