/*
 * Copyright 1995 by the Massachusetts Institute of Technology.
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice appear in all
 * copies and that both that copyright notice and this permission
 * notice appear in supporting documentation, and that the name of
 * M.I.T. not be used in advertising or publicity pertaining to
 * distribution of the software without specific, written prior
 * permission.  M.I.T. makes no representations about the suitability
 * of this software for any purpose.  It is provided "as is" without
 * express or implied warranty.
 */
/* %%%EOOH%%% */

#define MD5_CRYPT 1
#define DES_CRYPT 2

#ifndef CRYPT_TYPE
#define CRYPT_TYPE DES_CRYPT
#endif

#define ENCRYPT_CHUNK_SIZE 32768


#if CRYPT_TYPE == MD5_CRYPT
#define KEY_SIZE 16
#define CRYPT_COPY lclient_md5_xor
#define ENCRYPT_BLOCK_SIZE 16
#endif

#if CRYPT_TYPE == DES_CRYPT
#define KEY_SIZE 8		/* sizeof (des_cblock) */
#define CRYPT_COPY lclient_des_crypt
#define ENCRYPT_BLOCK_SIZE 8
#endif

#if defined(vax) || defined(ibm032) || defined(__ultrix) || defined(BSD)
#define HAVE_VFORK
#endif

extern void CRYPT_COPY(unsigned char *, unsigned char *, unsigned int, int);
