/*
 * Copyright 1995 by the Massachusetts Institute of Technology.
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice appear in all
 * copies and that both that copyright notice and this permission
 * notice appear in supporting documentation, and that the name of
 * M.I.T. not be used in advertising or publicity pertaining to
 * distribution of the software without specific, written prior
 * permission.  M.I.T. makes no representations about the suitability
 * of this software for any purpose.  It is provided "as is" without
 * express or implied warranty.
 */
/* %%%EOOH%%% */

#include "machine.h"
#include "secrets.h"
#include <des.h>

char keystring[50];
char progkeystring[512];

des_cblock sessionkey;
des_key_schedule schedule;

decrypt_key(key, keygen)
     des_cblock key;
     Card32 keygen;
{
  unsigned char *cp;
	
  strcpy(keystring, secret_base_key);
  for (cp = keystring; *cp; cp++)
	  *cp ^= 0xaa;
  sprintf(cp, "%d", keygen);
  
  des_string_to_key(keystring, sessionkey);
  des_key_sched(sessionkey, schedule);

  des_ecb_encrypt(key, key, schedule, 0);
  memset(keystring, 0, sizeof(keystring));
  memset(schedule, 0, sizeof(schedule));
}
