/*
 * Copyright 1995 by the Massachusetts Institute of Technology.
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice appear in all
 * copies and that both that copyright notice and this permission
 * notice appear in supporting documentation, and that the name of
 * M.I.T. not be used in advertising or publicity pertaining to
 * distribution of the software without specific, written prior
 * permission.  M.I.T. makes no representations about the suitability
 * of this software for any purpose.  It is provided "as is" without
 * express or implied warranty.
 */
/* %%%EOOH%%% */

char *requests[] = {
  "error",
  "ping",
  "registration",
  "deregistration",
  "key",
  "open",
  "close"
  };

char **replies = requests;

char *errors[] = {
  "Error 0",
  "Badly formatted packet",
  "Unsupported protocol version",
  "Unknown request",
  "Key generator out of range",
  "Permission denied",
  "Key not registered",
  "Unknown key type",
  "No keys available"
  };
